Clientes
Criar cliente
Crie um perfil reutilizável de comprador.
POST
/
v2
/
customers
Create a Customer
curl --request POST \
--url https://api.pagou.ai/v2/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"externalRef": "<string>",
"ip_address": "<string>"
}
'import requests
url = "https://api.pagou.ai/v2/customers"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"externalRef": "<string>",
"ip_address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
externalRef: '<string>',
ip_address: '<string>'
})
};
fetch('https://api.pagou.ai/v2/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Autorizações
BearerAuthApiKeyAuthBasicAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Full name of the customer.
Minimum string length:
1Primary email address of the customer.
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Optional government-issued document information for the customer.
Show child attributes
Show child attributes
Optional customer phone number in E.164-like numeric format with 11 digits.
Pattern:
^\d{11}$Optional external reference from your system used to correlate this customer.
Optional billing or residential address of the customer.
Show child attributes
Show child attributes
Optional IP address associated with the customer creation request.
Resposta
Success
Generic success response payload.
⌘I
Create a Customer

